from django import template
from django.utils.safestring import mark_safe
import mycreole

register = template.Library()


@register.simple_tag(name='render_creole_simple')
def render_creole_simple(text):
    return mark_safe(mycreole.render_simple(text))


@register.simple_tag(name='render_creole', takes_context=True)
def render_creole(context, text, attachment_target_path, next_anchor=''):
    request = context['request']
    return mark_safe(mycreole.render(request, text, attachment_target_path, next_anchor))
